import React from 'react';
import BaseModal from '../baseModal';

function ConfirmPopup(props) {
    const {open, header, content, handleCancel, handleConfirm} = props;
    return (
        <BaseModal
            open={open}
        >
            <div className='w-[350px]'>
                <h3 className='font-semibold'>{header}</h3>
                {content && <p className='my-4'> {content}</p>}
                <div className='flex justify-end'>
                    <button className="px-3  py-2 ml-5 bg-gray-500 text-white rounded-md hover:bg-gray-400" onClick={handleCancel}>Cancel</button>
                    <button className="px-3  py-2 ml-5 bg-blue-500 text-white rounded-md hover:bg-blue-300" onClick={handleConfirm}>Confirm</button>
                </div>
            </div>
        </BaseModal>
    )
}

export default ConfirmPopup
